Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Interface BatikExtConstants

All Known Implementing Classes:
  BatikDomExtension, BatikFlowTextElementBridge, BatikHistogramNormalizationElement, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElement, BatikRegularPolygonElementBridge, BatikStarElement, BatikStarElementBridge, ColorSwitchBridge, ColorSwitchElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement

    public interface BatikExtConstants

Batik extension constants.

Field Summary
`static String` | `BATIK_12_ATTR_NAMESPACE_URI` Namespace for batik experimental svg 1.2 attributes.
`static String` | `BATIK_12_NAMESPACE_URI` Namespace for batik experimental svg 1.2 elements.
`static String` | `BATIK_EXT_ALIGN_BOTTOM_VALUE` Value for vertical-align to bottom of region
`static String` | `BATIK_EXT_ALIGN_MIDDLE_VALUE` Value for vertical-align to middle of region
`static String` | `BATIK_EXT_ALIGN_TOP_VALUE` Value for vertical-align to top of region
`static String` | `BATIK_EXT_BOTTOM_MARGIN_ATTRIBUTE` Attribute name for bottom-margin attribute
`static String` | `BATIK_EXT_COLOR_SWITCH_TAG` Tag name for Batik's color switch extension.
`static String` | `BATIK_EXT_FLOW_DIV_TAG` Tag name for Batik's flowText extension div element SVG 1.2).
`static String` | `BATIK_EXT_FLOW_LINE_TAG` Tag name for Batik's flowText extension line element SVG 1.2).
`static String` | `BATIK_EXT_FLOW_PARA_TAG` Tag name for Batik's flowText extension p element SVG 1.2).
`static String` | `BATIK_EXT_FLOW_REGION_BREAK_TAG` Tag name for Batik's flowText extension flow Region break element SVG 1.2).
`static String` | `BATIK_EXT_FLOW_REGION_EXCLUDE_TAG` Tag name for Batik's flowText extension Region element (SVG 1.2).
`static String` | `BATIK_EXT_FLOW_REGION_TAG` Tag name for Batik's flowText extension Region element (SVG 1.2).
`static String` | `BATIK_EXT_FLOW_SPAN_TAG` Tag name for Batik's flowText extension span element SVG 1.2).
`static String` | `BATIK_EXT_FLOW_TEXT_TAG` Tag name for Batik's flowText extension (SVG 1.2).
`static String` | `BATIK_EXT_HEIGHT_ATTRIBUTE` Attribute name for height attribute
`static String` | `BATIK_EXT_HISTOGRAM_NORMALIZATION_TAG` Tag name for Batik's histogram normalization extension.
`static String` | `BATIK_EXT_INDENT_ATTRIBUTE` Attribute name for indent attribute/property
`static String` | `BATIK_EXT_IR_ATTRIBUTE` Attribute name for inner radius attribute
`static String` | `BATIK_EXT_JUSTIFICATION_ATTRIBUTE` Attribute name for justification
`static String` | `BATIK_EXT_JUSTIFICATION_END_VALUE` Value for justification to end of region
`static String` | `BATIK_EXT_JUSTIFICATION_FULL_VALUE` Value for justification to both edges of region
`static String` | `BATIK_EXT_JUSTIFICATION_MIDDLE_VALUE` Value for justification to middle of region
`static String` | `BATIK_EXT_JUSTIFICATION_START_VALUE` Value for justification to start of region
`static String` | `BATIK_EXT_LEFT_MARGIN_ATTRIBUTE` Attribute name for left-margin attribute
`static String` | `BATIK_EXT_MARGIN_ATTRIBUTE` Attribute name for margin psudo-attribute
`static String` | `BATIK_EXT_NAMESPACE_URI` Namespace for batik extentions.
`static String` | `BATIK_EXT_PREFORMATTED_ATTRIBUTE` Attribute name for preformated data
`static String` | `BATIK_EXT_REGULAR_POLYGON_TAG` Tag name for Batik's regular poly extension.
`static String` | `BATIK_EXT_RIGHT_MARGIN_ATTRIBUTE` Attribute name for right-margin attribute
`static String` | `BATIK_EXT_SIDES_ATTRIBUTE` Attribute name for sides attribute
`static String` | `BATIK_EXT_STAR_TAG` Tag name for Batik's star extension.
`static String` | `BATIK_EXT_TOP_MARGIN_ATTRIBUTE` Attribute name for top-margin attribute
`static String` | `BATIK_EXT_TRIM_ATTRIBUTE` Attribute name for trim percent attribute
`static String` | `BATIK_EXT_VERTICAL_ALIGN_ATTRIBUTE` Attribute name for preformated data
`static String` | `BATIK_EXT_WIDTH_ATTRIBUTE` Attribute name for width attribute
`static String` | `BATIK_EXT_X_ATTRIBUTE` Attribute name for x attribute
`static String` | `BATIK_EXT_Y_ATTRIBUTE` Attribute name for y attribute

Field Detail

### BATIK_EXT_NAMESPACE_URI

    static final String BATIK_EXT_NAMESPACE_URI

  Namespace for batik extentions.

  See Also:
    Constant Field Values

### BATIK_12_NAMESPACE_URI

    static final String BATIK_12_NAMESPACE_URI

  Namespace for batik experimental svg 1.2 elements.

  See Also:
    Constant Field Values

### BATIK_12_ATTR_NAMESPACE_URI

    static final String BATIK_12_ATTR_NAMESPACE_URI

  Namespace for batik experimental svg 1.2 attributes.

  See Also:
    Constant Field Values

### BATIK_EXT_REGULAR_POLYGON_TAG

    static final String BATIK_EXT_REGULAR_POLYGON_TAG

  Tag name for Batik's regular poly extension.

  See Also:
    Constant Field Values

### BATIK_EXT_STAR_TAG

    static final String BATIK_EXT_STAR_TAG

  Tag name for Batik's star extension.

  See Also:
    Constant Field Values

### BATIK_EXT_COLOR_SWITCH_TAG

    static final String BATIK_EXT_COLOR_SWITCH_TAG

  Tag name for Batik's color switch extension.

  See Also:
    Constant Field Values

### BATIK_EXT_HISTOGRAM_NORMALIZATION_TAG

    static final String BATIK_EXT_HISTOGRAM_NORMALIZATION_TAG

  Tag name for Batik's histogram normalization extension.

  See Also:
    Constant Field Values

### BATIK_EXT_SIDES_ATTRIBUTE

    static final String BATIK_EXT_SIDES_ATTRIBUTE

  Attribute name for sides attribute

  See Also:
    Constant Field Values

### BATIK_EXT_IR_ATTRIBUTE

    static final String BATIK_EXT_IR_ATTRIBUTE

  Attribute name for inner radius attribute

  See Also:
    Constant Field Values

### BATIK_EXT_TRIM_ATTRIBUTE

    static final String BATIK_EXT_TRIM_ATTRIBUTE

  Attribute name for trim percent attribute

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_TEXT_TAG

    static final String BATIK_EXT_FLOW_TEXT_TAG

  Tag name for Batik's flowText extension (SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_REGION_TAG

    static final String BATIK_EXT_FLOW_REGION_TAG

  Tag name for Batik's flowText extension Region element (SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_REGION_EXCLUDE_TAG

    static final String BATIK_EXT_FLOW_REGION_EXCLUDE_TAG

  Tag name for Batik's flowText extension Region element (SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_DIV_TAG

    static final String BATIK_EXT_FLOW_DIV_TAG

  Tag name for Batik's flowText extension div element SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_PARA_TAG

    static final String BATIK_EXT_FLOW_PARA_TAG

  Tag name for Batik's flowText extension p element SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_REGION_BREAK_TAG

    static final String BATIK_EXT_FLOW_REGION_BREAK_TAG

  Tag name for Batik's flowText extension flow Region break element SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_LINE_TAG

    static final String BATIK_EXT_FLOW_LINE_TAG

  Tag name for Batik's flowText extension line element SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_FLOW_SPAN_TAG

    static final String BATIK_EXT_FLOW_SPAN_TAG

  Tag name for Batik's flowText extension span element SVG 1.2).

  See Also:
    Constant Field Values

### BATIK_EXT_X_ATTRIBUTE

    static final String BATIK_EXT_X_ATTRIBUTE

  Attribute name for x attribute

  See Also:
    Constant Field Values

### BATIK_EXT_Y_ATTRIBUTE

    static final String BATIK_EXT_Y_ATTRIBUTE

  Attribute name for y attribute

  See Also:
    Constant Field Values

### BATIK_EXT_WIDTH_ATTRIBUTE

    static final String BATIK_EXT_WIDTH_ATTRIBUTE

  Attribute name for width attribute

  See Also:
    Constant Field Values

### BATIK_EXT_HEIGHT_ATTRIBUTE

    static final String BATIK_EXT_HEIGHT_ATTRIBUTE

  Attribute name for height attribute

  See Also:
    Constant Field Values

### BATIK_EXT_MARGIN_ATTRIBUTE

    static final String BATIK_EXT_MARGIN_ATTRIBUTE

  Attribute name for margin psudo-attribute

  See Also:
    Constant Field Values

### BATIK_EXT_TOP_MARGIN_ATTRIBUTE

    static final String BATIK_EXT_TOP_MARGIN_ATTRIBUTE

  Attribute name for top-margin attribute

  See Also:
    Constant Field Values

### BATIK_EXT_RIGHT_MARGIN_ATTRIBUTE

    static final String BATIK_EXT_RIGHT_MARGIN_ATTRIBUTE

  Attribute name for right-margin attribute

  See Also:
    Constant Field Values

### BATIK_EXT_BOTTOM_MARGIN_ATTRIBUTE

    static final String BATIK_EXT_BOTTOM_MARGIN_ATTRIBUTE

  Attribute name for bottom-margin attribute

  See Also:
    Constant Field Values

### BATIK_EXT_LEFT_MARGIN_ATTRIBUTE

    static final String BATIK_EXT_LEFT_MARGIN_ATTRIBUTE

  Attribute name for left-margin attribute

  See Also:
    Constant Field Values

### BATIK_EXT_INDENT_ATTRIBUTE

    static final String BATIK_EXT_INDENT_ATTRIBUTE

  Attribute name for indent attribute/property

  See Also:
    Constant Field Values

### BATIK_EXT_JUSTIFICATION_ATTRIBUTE

    static final String BATIK_EXT_JUSTIFICATION_ATTRIBUTE

  Attribute name for justification

  See Also:
    Constant Field Values

### BATIK_EXT_JUSTIFICATION_START_VALUE

    static final String BATIK_EXT_JUSTIFICATION_START_VALUE

  Value for justification to start of region

  See Also:
    Constant Field Values

### BATIK_EXT_JUSTIFICATION_MIDDLE_VALUE

    static final String BATIK_EXT_JUSTIFICATION_MIDDLE_VALUE

  Value for justification to middle of region

  See Also:
    Constant Field Values

### BATIK_EXT_JUSTIFICATION_END_VALUE

    static final String BATIK_EXT_JUSTIFICATION_END_VALUE

  Value for justification to end of region

  See Also:
    Constant Field Values

### BATIK_EXT_JUSTIFICATION_FULL_VALUE

    static final String BATIK_EXT_JUSTIFICATION_FULL_VALUE

  Value for justification to both edges of region

  See Also:
    Constant Field Values

### BATIK_EXT_PREFORMATTED_ATTRIBUTE

    static final String BATIK_EXT_PREFORMATTED_ATTRIBUTE

  Attribute name for preformated data

  See Also:
    Constant Field Values

### BATIK_EXT_VERTICAL_ALIGN_ATTRIBUTE

    static final String BATIK_EXT_VERTICAL_ALIGN_ATTRIBUTE

  Attribute name for preformated data

  See Also:
    Constant Field Values

### BATIK_EXT_ALIGN_TOP_VALUE

    static final String BATIK_EXT_ALIGN_TOP_VALUE

  Value for vertical-align to top of region

  See Also:
    Constant Field Values

### BATIK_EXT_ALIGN_MIDDLE_VALUE

    static final String BATIK_EXT_ALIGN_MIDDLE_VALUE

  Value for vertical-align to middle of region

  See Also:
    Constant Field Values

### BATIK_EXT_ALIGN_BOTTOM_VALUE

    static final String BATIK_EXT_ALIGN_BOTTOM_VALUE

  Value for vertical-align to bottom of region

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.